#!/usr/bin/env bash

source $(dirname "$0")/utilis/colors.sh

read -p "${GREEN}> Have you update CHANGELOG (y/N)?${RESET} " answer
case ${answer:0:1} in
    y|Y )
        echo "${GREEN}${BOLD}> Nice! ${RESET}"
		;;
    * )
        echo "${GREEN}${BOLD}> Time to do it then ;) ${RESET}"
        exit;;
esac

echo "${GREEN}> Type of release?${RESET}"
PS3="Option? "
options=("Major" "Minor" "Patch")
select releaseType in ${options[@]}; do
    case ${releaseType} in
        "Major" )
        releaseType="major"
        break;;
		"Minor" )
        releaseType="minor"
		break;;
        "Patch" )
        releaseType="patch"
        break;;
    esac
done

gulp bump:${releaseType}
